Subject: Re: [JGit Patch v2 5/7] Add script for adding second pack for test purpose

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 22 Aug 2008 09:06:51 -0700

Imran M Yousuf <[email-masked]> wrote:
> On Thu, Aug 21, 2008 at 9:12 PM, Shawn O. Pearce <[email-masked]> wrote:
> > [email-masked] wrote:
> >> From: Imran M Yousuf <[email-masked]>
> >>
> >> Forgot to add it last time and thus adding it before removing duplicate
> >> resources.
> >
> > I would squash this to the one that copies the other resources.
> 
> I would gladly make the changes (in this patch and the other ones) if
> I am sure that this series does not break the build with Eclipse. I
> would be extremely grateful if you would please confirm this to me.

OK, so your series end result would be fine, if you squash this into
it as well.  The "tst" variable is no longe rused in one location due
to the introduction of JGitTestUtil, and you missed one location that
needed to be converted from "tst" to JGitTestUtil.  Otherwise the end
result looks good in Eclipse and in ./make_jgit.sh.

diff --git a/org.spearce.jgit.test/tst/org/spearce/jgit/lib/RepositoryTestCase.java b/org.spearce.jgit.test/tst/org/spearce/jgit/lib/RepositoryTestCase.java
index 310690a..270b90a 100644
--- a/org.spearce.jgit.test/tst/org/spearce/jgit/lib/RepositoryTestCase.java
+++ b/org.spearce.jgit.test/tst/org/spearce/jgit/lib/RepositoryTestCase.java
@@ -143,7 +143,6 @@ public void run() {
 				"pack-9fb5b411fe6dfa89cc2e6b89d2bd8e5de02b5745",
 				"pack-e6d07037cbcf13376308a0a995d1fa48f8f76aaa"
 		};
-		final File tst = new File("tst");
 		final File packDir = new File(db.getObjectsDirectory(), "pack");
 		for (int k = 0; k < packs.length; k++) {
 			copyFile(JGitTestUtil.getTestResourceFile(packs[k] + ".pack"), new File(packDir,
diff --git a/org.spearce.jgit.test/tst/org/spearce/jgit/lib/T0004_PackReader.java b/org.spearce.jgit.test/tst/org/spearce/jgit/lib/T0004_PackReader.java
index c036e79..3d81bc4 100644
--- a/org.spearce.jgit.test/tst/org/spearce/jgit/lib/T0004_PackReader.java
+++ b/org.spearce.jgit.test/tst/org/spearce/jgit/lib/T0004_PackReader.java
@@ -41,9 +41,11 @@
 import java.io.File;
 import java.io.IOException;
 
+import org.spearce.jgit.util.JGitTestUtil;
+
 public class T0004_PackReader extends RepositoryTestCase {
 	private static final String PACK_NAME = "pack-34be9032ac282b11fa9babdc2b2a93ca996c9c2f";
-	private static final File TEST_PACK = new File(new File("tst"), PACK_NAME + ".pack");
+	private static final File TEST_PACK = JGitTestUtil.getTestResourceFile(PACK_NAME + ".pack");
 	private static final File TEST_IDX = new File(TEST_PACK.getParentFile(), PACK_NAME + ".idx");
 
 	public void test003_lookupCompressedObject() throws IOException {

-- 
Shawn.